<?php
/**
 * Fade in fade out rss feed
 *
 * @package     Fade in fade out rss feed
 * @subpackage  mod_fade_in_fade_out_rss_feed
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/09/fade-in-fade-out-rss-feed-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\FadeInFadeOutRssFeed\Site\Helper\FadeInFadeOutRssFeedHelper;

$modbase 	= JURI::base(true).'/modules/mod_fade_in_fade_out_rss_feed/';
$document 	= JFactory::getDocument();
$document->addScript ($modbase.'tmpl/mod_fade_in_fade_out_rss_feed.js');
	
$feed = FadeInFadeOutRssFeedHelper::getFeed($params);

require ModuleHelper::getLayoutPath('mod_fade_in_fade_out_rss_feed', $params->get('layout', 'default'));