<?php
/**
 * Fade in fade out rss feed
 *
 * @package     Fade in fade out rss feed
 * @subpackage  mod_fade_in_fade_out_rss_feed
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/09/fade-in-fade-out-rss-feed-joomla-module/
 */

defined('_JEXEC') or die;

$fiforss_prefix 	= $params->get('fiforss_prefix', '');
$fiforss_fadein 	= (int) $params->get('fiforss_fadein', 0);
$fiforss_fade 		= (int) $params->get('fiforss_fade', 0);
$fiforss_fadestep 	= (int) $params->get('fiforss_fadestep', 3);
$fiforss_fadewait 	= (int) $params->get('fiforss_fadewait', 3000);

$count 			= 0;
$fiforss_arr 	= "";
$first_t 		= "";
$first_l 		= "";

if ( ! empty($feed) ) 
{
	for ($i = 0, $max = min(count($feed), 10); $i < $max; $i++)
	{
		$title 	=  $feed[$i]->title;
		$link 	=  $feed[$i]->link;
		$fiforss_arr = $fiforss_arr . "fiforss_Links[$count] = '$link'; fiforss_Titles[$count] = '$title'; ";
		if($count == 0)
		{
			$first_t = $title;
			$first_l = $link;
		}
		$count = $count + 1;
	}
}
else
{
	$fiforss_arr = $fiforss_arr . "fiforss_Links[0] = '#'; fiforss_Titles[0] = 'Invalid or Broken rss link.'; ";
	$first_t = \JText::_('FIFORSS_ERR1');
	$first_l = "#";
}
?>
<script type="text/javascript" language="javascript">
function fiforss_SetFadeLinks() 
{
	<?php echo $fiforss_arr ?>
}
var fiforss_FadeOut = 255;
var fiforss_FadeIn = <?php echo $fiforss_fadein; ?>;
var fiforss_Fade = <?php echo $fiforss_fade; ?>;
var fiforss_FadeStep = <?php echo $fiforss_fadestep; ?>;
var fiforss_FadeWait = <?php echo $fiforss_fadewait; ?>;
var fiforss_bFadeOutt = true;
</script>
<div id="fiforss_css" style="padding:5px;"><?php echo $fiforss_prefix; ?><a target="_blank" href="<?php echo $first_l; ?>" id="fiforss_Link"><?php echo $first_t; ?></a></div>